import 'package:aitrainer_app/util/app_localization.dart';
import 'package:aitrainer_app/widgets/app_bar_min.dart';
import 'package:flutter/material.dart';

// ignore: must_be_immutable
class CustomerWelcomePage extends StatefulWidget {
  late _CustomerWelcomePageState _state;

  _CustomerWelcomePageState createState() {
    _state = _CustomerWelcomePageState();
    return _state;
  }
}

class _CustomerWelcomePageState extends State<CustomerWelcomePage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBarMin(),
      body: Container(
          decoration: BoxDecoration(
            image: DecorationImage(
              image: AssetImage('asset/image/WT_welcome.jpg'),
              fit: BoxFit.fill,
              alignment: Alignment.center,
            ),
          ),
          child: SafeArea(
              bottom: false,
              child: Center(
                child: Column(
                  children: [
                    Divider(
                      color: Colors.transparent,
                    ),
                    ElevatedButton(
                      style: ElevatedButton.styleFrom(
                        primary: Colors.orange,
                        onSurface: Colors.white,
                      ),
                      child: InkWell(child: Text(AppLocalizations.of(context)!.translate("Next"))),
                      onPressed: () => {Navigator.of(context).pop(), Navigator.of(context).pushNamed("home")},
                    )
                  ],
                ),
              ))),
    );
  }
}
